net.sf.saxon.expr.flwor

## Class ForClauseOuterPull

- java.lang.Object
- - net.sf.saxon.expr.flwor.TuplePull
  - - net.sf.saxon.expr.flwor.ForClausePull
    - - net.sf.saxon.expr.flwor.ForClauseOuterPull

-     public class ForClauseOuterPull
      extends ForClausePull

  This class represents the tuple stream returned by a "for" clause in a FLWOR expression

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.expr.flwor.ForClausePull

      `base, currentIteration, forClause`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForClauseOuterPull(TuplePull base, ForClause forClause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the tuple stream, indicating that although not all tuples have been read, no further tuples are required and resources can be released
    `boolean` | `nextTuple(XPathContext context)` Deliver the next output tuple.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForClauseOuterPull

          public ForClauseOuterPull(TuplePull base,
                            ForClause forClause)

  - ### Method Detail

    - #### nextTuple

          public boolean nextTuple(XPathContext context)
                            throws XPathException

      Deliver the next output tuple. Before returning, this method must set all the variables corresponding to the output tuple in the local stack frame associated with the context object
      Overrides:
        `nextTuple` in class `ForClausePull`
      Parameters:
        `context` - the dynamic evaluation context
      Returns:
        true if another tuple has been generated; false if the tuple stream is exhausted. If the method returns false, the values of the local variables corresponding to this tuple stream are undefined.
      Throws:
        `XPathException`

    - #### close

          public void close()

      Close the tuple stream, indicating that although not all tuples have been read, no further tuples are required and resources can be released
      Overrides:
        `close` in class `ForClausePull`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.